Loading...
Searching...
No Matches
Opm::PvtgwTable Class Reference
Inheritance diagram for Opm::PvtgwTable:

## Public Member Functions

| PvtgwTable (const DeckKeyword &keyword, size_t tableIdx)
bool | operator== (const PvtgwTable &data) const
Public Member Functions inherited from Opm::PvtxTable
| PvtxTable ()=default
| Default constructor.
| PvtxTable (const std::string &columnName)
| Constructor.
virtual | ~PvtxTable ()=default
| Virtual destructor.
const SimpleTable & | getSaturatedTable () const
| Retrieve derived table of saturated states.
const SimpleTable & | getUnderSaturatedTable (std::size_t tableNumber) const
| Retrieve sub-table for a single composition or pressure node.
double | getArgValue (std::size_t index) const
| Retrieve composition/pressure node value at input point.
std::size_t | size () const
| Number of sub-tables.
auto | begin () const
| Start of sequence of sub-tables.
auto | cbegin () const
| Start of sequence of sub-tables.
auto | end () const
| End of sequence of sub-tables.
auto | cend () const
| End of sequence of sub-tables.
bool | operator== (const PvtxTable &data) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Static Public Member Functions

static PvtgwTable | serializationTestObject ()
Static Public Member Functions inherited from Opm::PvtxTable
static std::size_t | numTables (const DeckKeyword &keyword)
| Number of complete tables in input PVTx keyword.
static std::vector< std::pair< std::size_t, std::size_t > > | recordRanges (const DeckKeyword &keyword)
| Identify which input records pertain to which PVT regions.
static PvtxTable | serializationTestObject ()
| Create a serialisation test object.

## Additional Inherited Members

Protected Member Functions inherited from Opm::PvtxTable
void | init (const DeckKeyword &keyword, std::size_t tableIdx)
| Populate internal data structures from PVTx input table data.
Protected Attributes inherited from Opm::PvtxTable
ColumnSchema | m_outerColumnSchema {}
| Table description of primary lookup key.
TableColumn | m_outerColumn {}
| Primary lookup key values.
TableSchema | m_underSaturatedSchema {}
| Table description of under-saturated states.
TableSchema | m_saturatedSchema {}
| Table description of saturated states.
std::vector< SimpleTable > | m_underSaturatedTables {}
| Under-saturated sub-tables.
SimpleTable | m_saturatedTable {}
| Inferred table of saturated states.

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/PvtgwTable.hpp
- opm/input/eclipse/EclipseState/Tables/Tables.cpp